---------------------
PatchSet 1475 
Date: 2005/06/27 13:06:22
Author: rmartinez
Branch: squid3-ipv6
Tag: (none) 
Log:
Adding a mnemotenic full_mask for mask 32(IPv4) or mask 128 (IPv6)

Members: 
	src/cache_cf.cc:1.40.2.9->1.40.2.10 

Index: squid3/src/cache_cf.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/cache_cf.cc,v
retrieving revision 1.40.2.9
retrieving revision 1.40.2.10
diff -u -r1.40.2.9 -r1.40.2.10
--- squid3/src/cache_cf.cc	24 Jun 2005 09:55:01 -0000	1.40.2.9
+++ squid3/src/cache_cf.cc	27 Jun 2005 13:06:22 -0000	1.40.2.10
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cache_cf.cc,v 1.40.2.9 2005/06/24 09:55:01 rmartinez Exp $
+ * $Id: cache_cf.cc,v 1.40.2.10 2005/06/27 13:06:22 rmartinez Exp $
  *
  * DEBUG: section 3     Configuration File Parsing
  * AUTHOR: Harvest Derived
@@ -883,14 +883,14 @@
 	(void) 0;
     }
     else
-    if (!strcmp(token,"no_addr"))
+    if ( (!strcmp(token,"no_addr")) || (!strcmp(token,"full_mask")) )
     {
 	memcpy(addr, &no_addr,sizeof(struct IN_ADDR));
 	(void) 0;
     }
     else
     if (SAFE_INET_ADDR(token, addr) == 1)
-        (void) 0;
+	(void) 0;
     else if ((hp = GETHOSTBYNAME(token)))	/* dont use ipcache */
         *addr = inaddrFromHostent(hp);
     else
